/*------------------------------------------------------------------------------
-------------------------------------------------------------------------------*/
/*--                  Author : Alexis Jeandet
--                     Mail : alexis.jeandet@member.fsf.org
----------------------------------------------------------------------------*/
#ifndef spwplugin_H
#define spwplugin_H
#include <QMenuBar>
#include <QMenu>
#include <QAction>
#include <QLayout>

#include <socexplorerplugin.h>
#include <abstractspwbridge.h>


class spwplugin : public socexplorerplugin
{
    Q_OBJECT
public:
    explicit spwplugin(QWidget *parent = 0);
    ~spwplugin();
    /* You can implement the folowing function if you want to overwrite
     *  their default behavior
    */
    /*
    int registermenu(QMainWindow *menuHolder);
    int isConnected();
    int connect();
    int VID(){return driver_VID;}
    int PID(){return driver_PID;}
    */

public slots:
    unsigned int Write(unsigned int *Value,unsigned int count, unsigned int address=0);
    unsigned int Read(unsigned int *Value,unsigned int count, unsigned int address=0);
signals:

private:
    abstractSpwBridge* bridge;

};

#endif // spwplugin_H

